## wcm 0.9.0+repack

=== meson_options.txt ===
option('wf_shell', type: 'feature', value: 'auto', description: 'Build with wf-shell support')
option('wayfire_config_file_path', type : 'string', value : '~/.config/wayfire.ini', description : 'Full path of wayfire config file')
option('wf_shell_config_file_path', type : 'string', value : '~/.config/wf-shell.ini', description : 'Full path of wf-shell config file')
option('enable_wdisplays', type : 'boolean', value : 'true', description : 'Build wdisplays')

## wcm 0.8.0+git20231201

=== debian/changelog ===
wcm (0.8.0+git20231201-2) unstable; urgency=medium

  * QA upload.
  * Remove myself from the uploaders list. (See #1076392)
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 13:49:56 -0400

wcm (0.8.0+git20231201-1) unstable; urgency=medium

  * Further clarify icon license information.

  [ Tianyu Chen ]
  * Initial release. (Closes: #1056207)

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Mar 2024 20:53:03 -0400

=== debian/control ===
Source: wcm
Section: x11
Priority: optional
Maintainer: Tianyu Chen <billchenchina2001@gmail.com>
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 libevdev-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libxkbregistry-dev,
 meson,
 wayfire-dev,
 wayland-protocols,
 wf-shell,
Rules-Requires-Root: no
Homepage: https://github.com/WayfireWM/wcm
Vcs-Git: https://salsa.debian.org/debian/wcm.git
Vcs-Browser: https://salsa.debian.org/debian/wcm

Package: wcm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 wdisplays,
Enhances:
 wayfire,
Description: Wayfire Config Manager
 Wayfire Config Manager is a Gtk3 application to configure wayfire. It writes
 the config file that wayfire reads to update option values.

## wcm 0.9.0%2Brepack

=== debian/changelog ===
wcm (0.9.0+repack-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:33 +0200

wcm (0.9.0+repack-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:25:16 -0400

wcm (0.9.0+repack-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Update build-dependencies.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 15:55:53 -0400

## wcm 0.9.0+repack

=== debian/changelog ===
wcm (0.9.0+repack-2build2) resolute; urgency=medium

  * Rebuild for resolute

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Nov 2025 08:40:41 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libgtkmm-3.0-dev,
  libxkbregistry-dev,
  meson,
- wayfire-dev,
+ wayfire-dev (>= 0.9.0~),
  wayland-protocols,
  wf-shell,
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

# wdisplays is maintained by swaywm-team. Not building here.
override_dh_auto_configure:
	dh_auto_configure -- \
	-Denable_wdisplays=false

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%,\
dversionmangle=s/\+repack//,\
repacksuffix=+repack" \
https://api.github.com/repos/WayfireWM/wcm/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
